diff --git a/changelog b/changelog
index 41ba008..693db6a 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20080107 tpd src/input/Makefile besselk.input regression test added
+20080107 tpd src/input/besselk.input regression test added
 20080107 tpd src/input/gamma.input missing file added
 20080107 tpd src/input/pfaffian.input missing file added
 20080107 tpd src/input/Makefile add free to test bug 7089/343
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index f533ad3..d727a41 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -285,7 +285,7 @@ REGRES= algaggr.regress algbrbf.regress  algfacob.regress alist.regress  \
     allfact.regress   antoine.regress \
     arith.regress     array1.regress   array2.regress \
     arrows.regress    assign.regress   atansqrt.regress \
-    asec.regress      bags.regress      bbtree.regress \
+    asec.regress      bags.regress     bbtree.regress   besselk.regress \
     binary.regress    bop.regress      bstree.regress   bouquet.regress \
     bug100.regress    bug101.regress \
     bug103.regress    bug10069.regress \
@@ -504,7 +504,8 @@ FILES= ${OUT}/algaggr.input  ${OUT}/algbrbf.input    ${OUT}/algfacob.input \
        ${OUT}/array1.input   ${OUT}/array2.input     ${OUT}/arrows.input \
        ${OUT}/assign.input   ${OUT}/atansqrt.input   ${OUT}/axiom.input \
        ${OUT}/asec.input \
-       ${OUT}/bags.input     ${OUT}/bbtree.input     ${OUT}/bern.input \
+       ${OUT}/bags.input     ${OUT}/bbtree.input     ${OUT}/besselk.input \
+       ${OUT}/bern.input \
        ${OUT}/bernpoly.input ${OUT}/binary.input     ${OUT}/bop.input \
        ${OUT}/bouquet.input  ${OUT}/bstree.input     ${OUT}/bug6357.input \
        ${OUT}/bug9057.input  ${OUT}/bug100.input     ${OUT}/bug101.input \
@@ -686,7 +687,8 @@ DOCFILES= \
   ${DOC}/asec.input.dvi \
   ${DOC}/assign.input.dvi      ${DOC}/atansqrt.input.dvi   \
   ${DOC}/axiom.input.dvi       ${DOC}/bags.input.dvi       \
-  ${DOC}/bbtree.input.dvi      ${DOC}/bern.input.dvi       \
+  ${DOC}/bbtree.input.dvi      ${DOC}/besselk.input.dvi    \
+  ${DOC}/bern.input.dvi       \
   ${DOC}/bernpoly.input.dvi    ${DOC}/binary.input.dvi     \
   ${DOC}/bop.input.dvi         ${DOC}/bouquet.input.dvi    \
   ${DOC}/bstree.input.dvi      ${DOC}/bug10069.input.dvi   \
diff --git a/src/input/besselk.input.pamphlet b/src/input/besselk.input.pamphlet
new file mode 100644
index 0000000..0cd01ea
--- /dev/null
+++ b/src/input/besselk.input.pamphlet
@@ -0,0 +1,57 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/src/input besselk.input}
+\author{Timothy Daly}
+\maketitle
+\begin{abstract}
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+<<*>>=
+)spool besselk.output
+)set message test on
+)set message auto off
+)clear all
+ 
+--S 1 of 4
+D(besselK(a,x),x)
+--R
+--R        - besselK(a + 1,x) - besselK(a - 1,x)
+--R   (1)  -------------------------------------
+--R                          2
+--R                                                     Type: Expression Integer
+--E 1
+
+--S 2 of 4
+D(besselK(a,x),a)
+--R
+--R   (2)  besselK  (a,x)
+--R               ,1
+--R                                                     Type: Expression Integer
+--E 2
+
+--S 3 of 4
+integrate(D(besselK(a,x),a),a)
+--R
+--R   (3)  besselK(a,x)
+--R                                          Type: Union(Expression Integer,...)
+--E 3
+
+--S 4 of 4
+limit(D(besselK(a,x),a),a=1/2)
+--R
+--R   (4)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 4
+)spool 
+)lisp (bye)
+ 
+@
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} nothing
+\end{thebibliography}
+\end{document}
+
